Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
Lucene::RAMFile Class Reference

File used as buffer in RAMDirectory. More...

`#include <RAMFile.h>`

Inheritance diagram for Lucene::RAMFile:

## Public Member Functions

| RAMFile ()
| RAMFile (const RAMDirectoryPtr &directory)
virtual | ~RAMFile ()
virtual String | getClassName ()
boost::shared_ptr< RAMFile > | shared_from_this ()
int64_t | getLength ()
| For non-stream access from thread that might be concurrent with writing. More...
void | setLength (int64_t length)
int64_t | getLastModified ()
| For non-stream access from thread that might be concurrent with writing. More...
void | setLastModified (int64_t lastModified)
int64_t | getSizeInBytes ()
ByteArray | addBuffer (int32_t size)
ByteArray | getBuffer (int32_t index)
int32_t | numBuffers ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

INTERNAL | __pad0__: int64_t length
RAMDirectoryWeakPtr | _directory

## Protected Member Functions

virtual ByteArray | newBuffer (int32_t size)
| Allocate a new buffer. Subclasses can allocate differently. More...
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

Collection< ByteArray > | buffers
int64_t | sizeInBytes
int64_t | lastModified
| This is publicly modifiable via Directory.touchFile(), so direct access not supported. More...
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

File used as buffer in RAMDirectory.

## Constructor & Destructor Documentation

Lucene::RAMFile::RAMFile | ( |  | ) |

Lucene::RAMFile::RAMFile | ( | const RAMDirectoryPtr & | directory | ) |

virtual Lucene::RAMFile::~RAMFile | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::RAMFile::_getClassName | ( |  | ) |

inline static

ByteArray Lucene::RAMFile::addBuffer | ( | int32_t | size | ) |

ByteArray Lucene::RAMFile::getBuffer | ( | int32_t | index | ) |

virtual String Lucene::RAMFile::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::PerDocBuffer.

int64_t Lucene::RAMFile::getLastModified | ( |  | ) |

For non-stream access from thread that might be concurrent with writing.

int64_t Lucene::RAMFile::getLength | ( |  | ) |

For non-stream access from thread that might be concurrent with writing.

int64_t Lucene::RAMFile::getSizeInBytes | ( |  | ) |

virtual ByteArray Lucene::RAMFile::newBuffer | ( | int32_t | size | ) |

protected virtual

Allocate a new buffer. Subclasses can allocate differently.

Reimplemented in Lucene::PerDocBuffer.

int32_t Lucene::RAMFile::numBuffers | ( |  | ) |

void Lucene::RAMFile::setLastModified | ( | int64_t | lastModified | ) |

void Lucene::RAMFile::setLength | ( | int64_t | length | ) |

boost::shared_ptr< RAMFile > Lucene::RAMFile::shared_from_this | ( |  | ) |

inline

## Field Documentation

INTERNAL Lucene::RAMFile::__pad0__

RAMDirectoryWeakPtr Lucene::RAMFile::_directory

Collection<ByteArray> Lucene::RAMFile::buffers

protected

int64_t Lucene::RAMFile::lastModified

protected

This is publicly modifiable via Directory.touchFile(), so direct access not supported.

int64_t Lucene::RAMFile::sizeInBytes

protected

The documentation for this class was generated from the following file:

- RAMFile.h

clucene.sourceforge.net